# Exiv2::TiffArrayElement Class Reference

Element of a TiffArrayEntry. The value is exactly one unsigned short component. Canon and Minolta makernotes use arrays of such elements. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffArrayElement:

[legend]
Collaboration diagram for Exiv2::TiffArrayElement:

[legend]
List of all members.

## Public Member Functions

Creators
| TiffArrayElement (uint16_t tag, uint16_t group, TypeId elTypeId, ByteOrder elByteOrder)
| Constructor.
virtual | ~TiffArrayElement ()
| Virtual destructor.
Accessors
TypeId | elTypeId () const
ByteOrder | elByteOrder () const

## Detailed Description

Element of a TiffArrayEntry. The value is exactly one unsigned short component. Canon and Minolta makernotes use arrays of such elements.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp